;
; GRDP
;
; Copyright(c) LADsoft
;
; David Lindauer, gclind01@starbase.spd.louisville.edu
;
;
; INOUT.ASM
;
; Function: Handle I,O commands
;
	;MASM MODE
	.MODEL SMALL
	.386


include  prints.ase 
include  input.ase 
include  mtrap.ase 
include  breaks.ase 

	PUBLIC doin,doout

	.CODE
;
; Read from a port
;
doin	PROC	
	Call	WadeSpace	; Wade till address
	jz	inerr
	call	ReadNumber
	jc	inerr
	mov	edx,eax
	call	WadeSpace
	jnz	inerr
	in	al,dx
	push	ax
	call	crlf
	pop	ax		;
      	call	printbyte	; Print data
	clc
	ret
inerr:
	stc
	ret
doin	ENDP
;
; Write to a port
;
doout	PROC
	Call	WadeSpace	; Wade till address
	jz	inerr
	call	ReadNumber
	jc	inerr
	mov	dx,ax
	call	WadeSpace
	jz	inerr
	call	ReadNumber
	jc	inerr
	mov	bx,ax
	call	WadeSpace
	jnz	inerr
	mov	al,bl
	out	dx,al
	clc
	ret
doout	ENDP
end