;
; GRDP
;
; Copyright(c) LADsoft
;
; David Lindauer, gclind01@starbase.spd.louisville.edu
;
;
; FILL.ASM
;
; Function: Fill memory
;
	;MASM MODE
	.MODEL SMALL
	.386


include  prints.ase 
include  input.ase 
include  mtrap.ase 

	PUBLIC fill


	.CODE
;
; fill command
;
fill	PROC
	call	WadeSpace
	jz	errx
	call	ReadAddress		; read start address
	jc	errx
	or	edx,edx
	jnz	hasseg
	mov	dx,[drds]
hasseg:
	call	WadeSpace
	jz	errx
	call	ReadNumber    		; read length
	jc	errx
	mov	ecx,eax
	sub	ecx,ebx
	jc	errx
	call	WadeSpace
	mov	al,0           		; default fill = 0
	jz	gotfill
	call	ReadNumber		; else read a fill val
	jc	errx
	push	ax
	call	WadeSpace
	pop	ax
	jnz	errx
gotfill:
	push	es			; fill mem
	mov	es,dx
	mov	di,bx
	rep	stosb
	pop	es
	clc
	ret
errx:
	stc
	ret
fill	endp
end